• Antergos-2015.08.18


    The first installation attempt was not quite successful

    antergos-20150818-kde4-fails.png

    The ISO (with md5sum checked and OK) is

    antergos-2015.08.18-x86_64.iso : http://repo.antergos.info/iso/testing/antergos-2015.08.18-x86_64.iso

    Was trying to install KDE 4, with all addons included, except TTF and SMB.

    Seems like the error is caused by the libcl package, which Cnchi can’t find or download (omitting the initial log’s part, which seems irrelevant):

    ...
    [2015-08-19 08:23:09] [pac] DEBUG: loading group cache for repository 'antergos'
    [2015-08-19 08:23:09] [pac] DEBUG: loading package cache for repository 'local'
    [2015-08-19 08:23:09] [pac] DEBUG: added 0 packages to package cache for db 'local'
    [2015-08-19 08:23:09] [pac] DEBUG: loading group cache for repository 'extra'
    [2015-08-19 08:23:27] [metalink] ERROR: Can't find these packages: libcl 
    [2015-08-19 08:23:27] [download] ERROR: Error creating metalink for package libcl. Installation will stop
    [2015-08-19 08:23:27] [process] ERROR: "Can't create download package list. Check log output for details"
    [2015-08-19 08:23:27] [process] ERROR: Traceback (most recent call last):
    
    [2015-08-19 08:23:27] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 176, in run
        self.run_installation()
    
    [2015-08-19 08:23:27] [process] ERROR:   File "/usr/share/cnchi/cnchi/misc/misc.py", line 175, in helper
        return func(*args, **kwargs)
    
    [2015-08-19 08:23:27] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 366, in run_installation
        self.download_packages()
    
    [2015-08-19 08:23:27] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 423, in download_packages
        self.settings)
    
    [2015-08-19 08:23:27] [process] ERROR:   File "/usr/share/cnchi/cnchi/download/download.py", line 102, in __init__
        raise InstallError(_("Can't create download package list. Check log output for details"))
    
    [2015-08-19 08:23:27] [process] ERROR: misc.misc.InstallError: "Can't create download package list. Check log output for details"
    
    [2015-08-19 08:23:34] [slides] INFO: Installing using the 'advanced' method
    [2015-08-19 08:23:34] [slides] INFO: Updating core database
    [2015-08-19 08:23:34] [slides] INFO: Updating extra database
    [2015-08-19 08:23:34] [slides] INFO: Updating community database
    [2015-08-19 08:23:34] [slides] INFO: Updating multilib database
    [2015-08-19 08:23:34] [slides] INFO: Updating antergos database
    [2015-08-19 08:23:34] [slides] INFO: Getting package list...
    [2015-08-19 08:23:34] [slides] INFO: Creating the list of packages to download...
    [2015-08-19 08:23:34] [show_message] ERROR: "Can't create download package list. Check log output for details"
    

    If the full log is needed, I’ll tryi to upload it here. It’s 7319 bytes in size, tar.gz-ed.

    It’s not a question, but JFYI only. No answer is expected. Will try to reinstall some hours later.

  • Whoops :sweat_smile: It’s fixed. Thanks for reporting!

    Cheers!

  • @lots.0.logs said:

    Whoops :sweat_smile: It’s fixed…

    Is it enough to simply retry the installation? Or the ISO must be re-downloaded?

    Sorry for the stupid question.

  • @just You can just retry the install :)

  • It’s the same error I was getting at the beginning. Unfortunately it’s still there, or has this just been fixed? I see the commits are pushed to git master and the new installer version has been updated to 0.10.1. I’ll try this iso in VirtualBox first. Should it work on my N2820 NUC, I’ll mark my post as solved.

  • 2nd attempt, 2 hours later

    antergos-20150818-kde4-fails-2.png

    Something has changed. Cnchi autoupgrades to 0.10.2 right now.

    But the error with the libcl still persists

    ...
    [2015-08-19 10:25:28] [pac] DEBUG: added 0 packages to package cache for db 'local'
    [2015-08-19 10:25:28] [pac] DEBUG: loading group cache for repository 'extra'
    [2015-08-19 10:25:46] [metalink] ERROR: Can't find these packages: libcl 
    [2015-08-19 10:25:46] [download] ERROR: Error creating metalink for package libcl. Installation will stop
    [2015-08-19 10:25:46] [process] ERROR: "Can't create download package list. Check log output for details"
    [2015-08-19 10:25:46] [process] ERROR: Traceback (most recent call last):
    ...
    

    All testing configuration - the ISO, DE, addons - remains the same as with 1st attempt. Including the computer.

    Will retry to install later.

    Edit

    I’m starting the process of changing my glasses. It should take 2 days. Can’t see anything on monitors without them. The life becomes void and useless. I’m sorry for missing responses from my side during this period.

  • @just yep same here

  • Cnchi 0.10.5 should not have this issue

  • @karasu current version now is 10.6 it says

  • Cnchi 0.10.6

    [2015-08-19 23:23:48] [metalink] ERROR: Can't find these packages: libcl 
    [2015-08-19 23:23:48] [download] ERROR: Error creating metalink for package libcl. Installation will stop
    [2015-08-19 23:23:48] [process] ERROR: "Can't create download package list. Check log output for details"
    [2015-08-19 23:23:48] [process] ERROR: Traceback (most recent call last):
    
    [2015-08-19 23:23:48] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 176, in run
        self.run_installation()
    
    [2015-08-19 23:23:48] [process] ERROR:   File "/usr/share/cnchi/cnchi/misc/misc.py", line 175, in helper
        return func(*args, **kwargs)
    
    [2015-08-19 23:23:48] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 366, in run_installation
        self.download_packages()
    
    [2015-08-19 23:23:48] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 423, in download_packages
        self.settings)
    
    [2015-08-19 23:23:48] [process] ERROR:   File "/usr/share/cnchi/cnchi/download/download.py", line 102, in __init__
        raise InstallError(_("Can't create download package list. Check log output for details"))
    
    [2015-08-19 23:23:48] [process] ERROR: misc.misc.InstallError: "Can't create download package list. Check log output for details"
    
    [2015-08-19 23:23:48] [show_message] ERROR: "Can't create download package list. Check log output for details"
    
    
  • @pyUser :

    Do you have a nvidia graphics card?

  • @karasu i also have nvidia. im trying to post the log but the forum says its spam. im on a roll today :anguished:

  • @karasu

    Yes I do

  • I think it have something to do with this line of code

    Cnchi/cnchi/hardware/nvidia.py

    def get_packages(self):
        pkgs = ["nvidia", "nvidia-utils", "nvidia-libgl", "libvdpau", "libcl"]
        if os.uname()[-1] == "x86_64":
            pkgs.extend(["lib32-nvidia-libgl", "lib32-libvdpau"])
        return pkgs
  • [2015-08-19 14:02:40] [automatic] INFO: Antergos will install the bootloader 'grub2' in device '/dev/sda'
    [2015-08-19 14:02:40] [auto_partition] WARNING: Unmounting /dev/sda1
    [2015-08-19 14:02:40] [process] DEBUG: Creating partitions and their filesystems in /dev/sda
    [2015-08-19 14:02:40] [auto_partition] DEBUG: Total disk size: 61057MiB
    [2015-08-19 14:02:40] [auto_partition] DEBUG: Boot partition size: 256MiB
    [2015-08-19 14:02:40] [auto_partition] DEBUG: Swap partition size: 6106MiB
    [2015-08-19 14:02:40] [auto_partition] DEBUG: Root partition size: 54694MiB
    [2015-08-19 14:02:40] [auto_partition] WARNING: Unmounting /dev/sda1
    [2015-08-19 14:02:40] [auto_partition] WARNING: Can't wipe filesystem of device /dev/sda
    [2015-08-19 14:02:40] [auto_partition] WARNING: Command ['wipefs', '-a', '/dev/sda'] failed
    [2015-08-19 14:02:40] [auto_partition] WARNING: Output: None
    [2015-08-19 14:02:41] [auto_partition] ERROR: Error creating a new partition table on device /dev/sda
    [2015-08-19 14:02:41] [auto_partition] ERROR: Command ['parted', '--align', 'optimal', '--script', '/dev/sda', 'mktable', 'msdos'] failed
    [2015-08-19 14:02:41] [auto_partition] ERROR: Output: None
    [2015-08-19 14:02:41] [process] ERROR: 'Error creating a new partition table on device /dev/sda'
    [2015-08-19 14:02:41] [process] ERROR: Traceback (most recent call last):
    
    [2015-08-19 14:02:41] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/auto_partition.py", line 307, in parted_mktable
        subprocess.check_call(cmd)
    
    [2015-08-19 14:02:41] [process] ERROR:   File "/usr/lib/python3.4/subprocess.py", line 561, in check_call
        raise CalledProcessError(retcode, cmd)
    
    [2015-08-19 14:02:41] [process] ERROR: subprocess.CalledProcessError: Command '['parted', '--align', 'optimal', '--script', '/dev/sda', 'mktable', 'msdos']' returned non-zero exit status 1
    
    [2015-08-19 14:02:41] [process] ERROR: 
    During handling of the above exception, another exception occurred:
    
    
    [2015-08-19 14:02:41] [process] ERROR: Traceback (most recent call last):
    
    [2015-08-19 14:02:41] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 176, in run
        self.run_installation()
    
    [2015-08-19 14:02:41] [process] ERROR:   File "/usr/share/cnchi/cnchi/misc/misc.py", line 175, in helper
        return func(*args, **kwargs)
    
    [2015-08-19 14:02:41] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/process.py", line 240, in run_installation
        auto.run()
    
    [2015-08-19 14:02:42] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/auto_partition.py", line 726, in run
        parted_mktable(device, "msdos")
    
    [2015-08-19 14:02:42] [process] ERROR:   File "/usr/share/cnchi/cnchi/installation/auto_partition.py", line 313, in parted_mktable
        raise InstallError(txt)
    
    [2015-08-19 14:02:42] [process] ERROR: misc.misc.InstallError: 'Error creating a new partition table on device /dev/sda'
    
    [2015-08-19 14:03:03] [slides] INFO: Installing using the 'automatic' method
    [2015-08-19 14:03:03] [show_message] ERROR: 'Error creating a new partition table on device /dev/sda' 
    
  • Maybe libcl should be rename to libclc

    libclc ArchLinux description
    Library requirements of the OpenCL C programming language

  • whats the button to wrap the comment as code?

  • @megaman

    The forum use markdown for styling the text
    This link will show you the code you need to make the code appear in a box
    https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet#code

  • @pyUser that did it. thanks

    we really need to get a button on here though for users.

  • Without selecting proprietary drivers my installation seems to be working without a problem

Posts 42Views 10997
Log in to reply